Bug 1000268 - wt contains bundled Flash files
wt contains bundled Flash files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: wt (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Minar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: WebAssets-BundledBinaries
  Show dependency treegraph
 
Reported: 2013-08-23 00:45 EDT by T.C. Hollingsworth
Modified: 2014-01-09 08:14 EST (History)
1 user (show)

See Also:
Fixed In Version: wt-3.3.1-0.1.rc1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-09 08:14:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-08-23 00:45:51 EDT
This package contains binary files that are typically excuted by the Flash
player or another similar program.

These files are not permitted in Fedora. [1]  Everything we produce needs to
be built from source. [2]

The offending file(s) shipped in this package are:
/usr/share/Wt/resources/jPlayer/Jplayer.swf
/usr/share/Wt/resources/jPlayer/Jplayer.swf

If these files are just a fallback for something that is now supported by modern
web standards like the HTML5 <video> element, please just remove the binaries.

If removing these files would seriously cripple your application, please let me
know so we can figure out a solution.

If you have any questions, please shout.  Thanks!

[1] https://fedoraproject.org/wiki/Packaging:Guidelines#No_inclusion_of_pre-built_binaries_or_libraries
[2] https://lists.fedoraproject.org/pipermail/devel/2013-August/187836.html
Comment 1 Michal Minar 2013-09-22 11:19:09 EDT
swf file removed.

Note You need to log in before you can comment on or make changes to this bug.